Bug 1261015 - Failed to update template name, when exists vms that was created from this template
Failed to update template name, when exists vms that was created from this te...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
All Linux
high Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Tomas Jelinek
Artyom
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 08:30 EDT by Artyom
Modified: 2016-04-19 21:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It is now possible to rename a template when watchdog has been configured and virtual machines have been created from the template.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:28:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (2.14 MB, text/plain)
2015-09-08 08:30 EDT, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46318 master MERGED core: added proper watchdog CAD checks Never
oVirt gerrit 46319 master MERGED webadmin: watchdog action edit template not always filled Never
oVirt gerrit 46345 ovirt-engine-3.6 MERGED core: added proper watchdog CAD checks Never
oVirt gerrit 46346 ovirt-engine-3.6 MERGED webadmin: watchdog action edit template not always filled Never
oVirt gerrit 46347 ovirt-engine-3.6 MERGED webadmin: don't set watchdog action to null Never
oVirt gerrit 46348 master MERGED webadmin: don't set watchdog action to null Never

  None (edit)
Description Artyom 2015-09-08 08:30:43 EDT
Created attachment 1071332 [details]
engine log

Description of problem:
Failed to update template name, when exists vms that was created from this template, update failed with internal error

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.13.master.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create template_1 from some vm
2. Create new vm from template_1
3. Try to change name of template_1

Actual results:
Update failed with internal error(see engine log for more details)

Expected results:
Update success

Additional info:
Comment 1 Omer Frenkel 2015-09-16 04:51:20 EDT
important to note that this happens only for template with watchdog enabled.

there are 2 issues:
1. update template dialog doesnt load the watchdog-action from db, so if user doesnt manually select action, null is sent to the update command.
2. update command doesnt fail nicely with can-do-action if watchdog action is null, but with NPE:

2015-09-16 11:42:11,808 INFO  [org.ovirt.engine.core.bll.UpdateWatchdogCommand] (default task-49) [2ea85df1] Running command: UpdateWatchdogCommand internal: true. Entities affected :  ID: 9b23104b-0a59-40bc-a1de-3733c41f76ae Type: VmTemplateAction group EDIT_VM_PROPERTIES with role type USER
2015-09-16 11:42:11,808 ERROR [org.ovirt.engine.core.bll.UpdateWatchdogCommand] (default task-49) [2ea85df1] Command 'org.ovirt.engine.core.bll.UpdateWatchdogCommand' failed: null
2015-09-16 11:42:11,808 ERROR [org.ovirt.engine.core.bll.UpdateWatchdogCommand] (default task-49) [2ea85df1] Exception: java.lang.NullPointerException
Comment 2 Artyom 2015-10-12 04:04:50 EDT
Verified on rhevm-3.6.0-0.18.el6.noarch

1) Create template(watchdog_template) from vm
2) Add watchdog to watchdog_template
3) Create new vm from watchdog_template
4) Edit name of watchdog_template

Action succeed without any errors.

Note You need to log in before you can comment on or make changes to this bug.